View Issue Details

IDProjectCategoryView StatusLast Update
0003483Wishes.PluginsArclitepublic2017-12-21 14:11
Reporterbuniak_a_hAssigned To2useven10 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0003483: Невозможно "вытащить" один файл из архива при вызове из командной строки
DescriptionНе реализовано естественное желание распаковать не полностью весь архив, а только один (несколько по списку) файл. В хелпе описана командная строка:
Распаковать архив
arc:x <...> <archive> ... <path>
с одной стороны, зачем-то заложена возможность распаковки нескольких архивов в одной команде (что странно: команду можно и повторить. В том числе выполнить для всех отмеченных). С другой - реальная ситуация, когда требуется "выдрать" из архива один (или несколько в соответствии с маской) файлов. Причем, особенно обидно, что эта возможность в плагине есть (из панели плагина можно распаковать один/выделенные файлы). Просто явно не хватает внешнего интерфейса для этой операции.
TagsNo tags attached.

Activities

2useven10

2017-12-13 19:52

developer   bugnote:0015893

b263

JohnDoe

2017-12-14 11:29

updater   bugnote:0015894

Вопрос: командная строка завязана на панели?

(Хотелось бы вызывать из произвольной области)

buniak_a_h

2017-12-14 11:50

reporter   bugnote:0015895

Last edited: 2017-12-14 11:50

View 2 revisions

Получил новый плагин (b263). Есть большой (!!!) минус: не реализованы wildcard-ы в <item>. Ну, тогда надо делать ещё одну команду: list (список всех файлов архива).
Просто стандартная ситуация: надо распаковать все текстовые файлы. Или все исходники. Ну, Вы понимаете...

2useven10

2017-12-14 14:05

developer   bugnote:0015896

b264 маски+

2useven10

2017-12-14 14:07

developer   bugnote:0015897

> Вопрос: командная строка завязана на панели?
>
Не знаю, просто добавил реализацию по шаблону...

Если нужен Plagin.Call -- покажите где посмотреть реализацию (желательно без излишеств).

buniak_a_h

2017-12-16 10:21

reporter   bugnote:0015904

Last edited: 2017-12-16 10:33

View 2 revisions

b264: замечательно всё работает! Спасибо.
У сообщения статус "требует реакции". Я незнаком с мантисом; от меня требуется что-нить (типа "закрыть замечание", присвоить статус Resolved или т.п.?). Если надо присвоить статус - напишите, как это сделать.
P.S. Про запуск плагина через Plugin.Call я написал в другом замечании, но теперь почему-то не могу его найти (не показывает там, где я его видел раньше - в разделе My View - Reported by me).
PPS Статус почему-то заменился на assigned. Сам - я не менял, только сообщение прислал Где его вообще меняют???

2useven10

2017-12-16 12:18

developer   bugnote:0015905

Last edited: 2017-12-16 12:20

View 2 revisions

[change status to] -> (Resolved)

2useven10

2017-12-21 14:11

developer   bugnote:0015921

b265

Issue History

Date Modified Username Field Change
2017-09-07 03:22 buniak_a_h New Issue
2017-09-13 16:29 2useven10 Assigned To => 2useven10
2017-09-13 16:29 2useven10 Status new => assigned
2017-09-13 18:59 2useven10 Summary Неозможно "вытащить" один файл из архива при вызове из командной строки => Невозможно "вытащить" один файл из архива при вызове из командной строки
2017-12-13 19:52 2useven10 Status assigned => feedback
2017-12-13 19:52 2useven10 Note Added: 0015893
2017-12-14 11:29 JohnDoe Note Added: 0015894
2017-12-14 11:50 buniak_a_h Note Added: 0015895
2017-12-14 11:50 buniak_a_h Status feedback => assigned
2017-12-14 11:50 buniak_a_h Note Edited: 0015895 View Revisions
2017-12-14 11:56 JohnDoe Project Plugins => Wishes.Plugins
2017-12-14 14:05 2useven10 Note Added: 0015896
2017-12-14 14:07 2useven10 Note Added: 0015897
2017-12-15 20:52 2useven10 Status assigned => feedback
2017-12-16 10:21 buniak_a_h Note Added: 0015904
2017-12-16 10:21 buniak_a_h Status feedback => assigned
2017-12-16 10:33 buniak_a_h Note Edited: 0015904 View Revisions
2017-12-16 12:18 2useven10 Note Added: 0015905
2017-12-16 12:20 2useven10 Note Edited: 0015905 View Revisions
2017-12-21 14:11 2useven10 Status assigned => closed
2017-12-21 14:11 2useven10 Resolution open => fixed
2017-12-21 14:11 2useven10 Note Added: 0015921